Bug 387391 - 3.0.8-47.fc8 breaks running yum from cron.
Summary: 3.0.8-47.fc8 breaks running yum from cron.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-16 18:42 UTC by Orion Poplawski
Modified: 2007-12-05 21:45 UTC (History)
0 users

Fixed In Version: 3.0.8-57.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-05 21:45:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Orion Poplawski 2007-11-16 18:42:02 UTC
Description of problem:

After install of 3.0.8-47.fc8, yum run from cron cannot execute rpm scriptlets:

error: %post(diffutils-2.8.1-19.fc8.i386) scriptlet failed, exit status 255
error: %post(libnjb-2.2.6-2.fc8.i386) scriptlet failed, exit status 255
error: %post(libmtp-0.2.2-2.fc8.i386) scriptlet failed, exit status 255
...

audit(1195214909.121:383): avc:  denied  { transition } for  pid=14062
comm="yum" path="/bin/bash" dev=sda3 ino=1048610
scontext=unconfined_u:unconfined_r:unconfined_crond_t:s0
tcontext=unconfined_u:unconfined_r:rpm_script_t:s0 tclass=process
audit(1195214909.145:384): avc:  denied  { transition } for  pid=14063
comm="yum" path="/sbin/ldconfig" dev=sda3 ino=1310722
scontext=unconfined_u:unconfined_r:unconfined_crond_t:s0
tcontext=unconfined_u:unconfined_r:rpm_script_t:s0 tclass=process

Version-Release number of selected component (if applicable):
3.0.8-47.fc8

Comment 1 Daniel Walsh 2007-11-17 12:13:13 UTC
Fixed in selinux-policy-3.0.8-57.fc8

Comment 2 Orion Poplawski 2007-12-05 21:45:06 UTC
Confirmed


Note You need to log in before you can comment on or make changes to this bug.